#!/bin/bash
echo "rm .ssh/known_hosts - all the nodes' ssh info will change"
time rm .ssh/known_hosts
echo "rm .ssh/authorized_keys - all the nodes' ssh info will change"
time rm .ssh/authorized_keys
echo "juju destroy-environment -y -e maas --force"
time juju destroy-environment -y -e maas --force
#echo "mkdir -p ~/.juju/sync-tools "
#time mkdir -p ~/.juju/sync-tools
#echo "juju sync-tools -e maas --local-dir="~/.juju/sync-tools" "
#time juju sync-tools -e maas --local-dir="~/.juju/sync-tools"
#echo 'sleep 60 - time enough for destroy environment to take effect (it is async)'
#sleep 60
#echo "juju bootstrap -e maas --debug --upload-tools=true --metadata-source="~/.juju/sync-tools" --to jujuBS.maas > bootstrap.txt "
#echo "juju bootstrap -e maas --upload-tools=true --metadata-source="~/.juju/sync-tools" --to jujuBS.maas > bootstrap.txt "
echo "juju bootstrap -e maas --upload-tools=true --metadata-source="~/.juju/sync-tools" --to jujuBS.maas > bootstrap.txt "
time juju bootstrap -e maas --upload-tools=true --metadata-source="~/.juju/sync-tools" --to jujuBS.maas > bootstrap.txt
echo "juju deploy --repository=".juju/charms" local:juju-gui --to 0 "
time juju deploy --repository=".juju/charms" local:juju-gui --to 0
echo "juju expose juju-gui "
time juju expose juju-gui
echo "time juju add-machine octaveController1.maas"
time juju add-machine octaveController1.maas
echo "juju deploy --repository=".juju/charms" local:octave-controller --to 1"
time juju deploy --repository=".juju/charms" local:octave-controller --to 1
echo "juju expose octave-controller "
time juju expose octave-controller
echo "juju deploy --repository=".juju/charms" local:octave  "
time juju deploy --repository=".juju/charms" local:octave 
echo "juju add-relation octave-controller octave "
time juju add-relation octave-controller octave
echo "juju add-unit octave --to 0"
time juju add-unit octave --to 0
echo "juju add-unit octave --to 1"
time juju add-unit octave --to 1
echo "juju add-unit -e maas octave -n 108"
time juju add-unit -e maas octave -n 108
echo "sleep 600 - force time for octave controller to be build"
sleep 600
echo "juju expose octave "
time juju expose octave
echo "juju deploy --repository=".juju/charms" local:nagios central-monitor"
time juju deploy --repository=".juju/charms" local:nagios central-monitor
echo "juju add-relation octave-controller central-monitor"
time juju add-relation octave-controller central-monitor
echo "juju add-relation octave central-monitor"
time juju add-relation octave central-monitor
echo "juju expose central-monitor"
time juju expose central-monitor

